We've run into a problem and need to temporarily upgrade